## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramUpdateCommand

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramUpdateCommand

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler

    public class EcoreDiagramUpdateCommand

extends java.lang.Object
implements org.eclipse.core.commands.IHandler

Constructor Summary
`EcoreDiagramUpdateCommand()`

Method Summary
`void` `addHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)`
`void` `dispose()`
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`boolean` `isEnabled()`
`boolean` `isHandled()`
`void` `removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDiagramUpdateCommand

    public EcoreDiagramUpdateCommand()

Method Detail

### addHandlerListener

    public void addHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)

  Specified by:
    `addHandlerListener` in interface `org.eclipse.core.commands.IHandler`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.core.commands.IHandler`

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.core.commands.IHandler`

### isHandled

    public boolean isHandled()

  Specified by:
    `isHandled` in interface `org.eclipse.core.commands.IHandler`

### removeHandlerListener

    public void removeHandlerListener(org.eclipse.core.commands.IHandlerListener handlerListener)

  Specified by:
    `removeHandlerListener` in interface `org.eclipse.core.commands.IHandler`

Copyright 2007 Anyware Technologies. All Rights Reserved.